Package com.google.debugging.sourcemap

# Class FilePosition

java.lang.Object
com.google.debugging.sourcemap.FilePosition

public class FilePosition extends Object
Represents a position in a source file.

## Constructor Summary

Constructors
Constructor
Description
`FilePosition(int line, int column)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
`int`
`getLine()`
Returns the line number of this position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilePosition

public FilePosition(int line, int column)

## Method Details

### getLine

public int getLine()
Returns the line number of this position. Note: The v1 and v2 source maps use a line number with the first line being 1, whereas the v3 source map corrects this and uses a first line number of 0 to be consistent with the column representation.

### getColumn

public int getColumn()

Returns:
  the character index on the line of this position, with the first column being 0.